package com.jemstep.test.web;

import com.jemstep.test.MavenArtifactResolver;
import com.jemstep.web.Util;
import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

import javax.inject.Inject;

/**
 * com.jemstep.test.web:
 *
 * @author: Brett Cave <brett@jemstep.com>
 * Date: 10/31/11
 * Time: 3:25 PM
 */
@RunWith(Arquillian.class)
public class UtilInContainerTestCase {

    @Deployment(testable = true)
    public static WebArchive createTestArchive() {
        return ShrinkWrap.create(WebArchive.class, "test.war")
                .addAsLibrary(MavenArtifactResolver.resolve("org.jboss.weld.servlet:weld-servlet:1.1.1.Final"))
                .addPackage("com.jemstep.web")
                .addAsWebInfResource("in-container-beans.xml", "beans.xml")
                .addAsManifestResource("in-container-context.xml", "context.xml")
                .setWebXML("in-container-web.xml");
    }

    @Inject
    Util util;

    @Test
    public void testGetYack() {
        Assert.assertEquals(util.getYack(), "YACK!");

    }

    @Test
    public void testSetYack() {
        util.setYack("Cow");
        Assert.assertEquals(util.getYack(),"Cow");
    }
}
